public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/xerces-c/
Date: Mon, 15 Feb 2021 09:47:55 +0000 (UTC)	[thread overview]
Message-ID: <1613382461.ef1bd5623b3f1112f25615745553c9ed5827fb44.asturm@gentoo> (raw)

commit:     ef1bd5623b3f1112f25615745553c9ed5827fb44
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 15 09:17:04 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Feb 15 09:47:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef1bd562

dev-libs/xerces-c: EAPI-7 bump, switch to cmake.eclass, for 3.2.3 too

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-libs/xerces-c/xerces-c-3.2.3-r2.ebuild | 119 +++++++++++++++++++++++++++++
 1 file changed, 119 insertions(+)

diff --git a/dev-libs/xerces-c/xerces-c-3.2.3-r2.ebuild b/dev-libs/xerces-c/xerces-c-3.2.3-r2.ebuild
new file mode 100644
index 00000000000..4c29af461e2
--- /dev/null
+++ b/dev-libs/xerces-c/xerces-c-3.2.3-r2.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake prefix
+
+DESCRIPTION="A validating XML parser written in a portable subset of C++"
+HOMEPAGE="https://xerces.apache.org/xerces-c/"
+
+if [[ ${PV} == *9999 ]] ; then
+	ESVN_REPO_URI="https://svn.apache.org/repos/asf/xerces/c/trunk"
+	inherit subversion
+else
+	SRC_URI="mirror://apache/xerces/c/3/sources/${P}.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="cpu_flags_x86_sse2 curl doc elibc_Darwin elibc_FreeBSD examples iconv icu static-libs test threads"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	curl? ( net-misc/curl )
+	icu? ( dev-libs/icu:0= )
+	virtual/libiconv"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	doc? ( app-doc/doxygen )
+	test? ( dev-lang/perl )"
+
+DOCS=( CREDITS KEYS NOTICE README )
+
+PATCHES=( "${FILESDIR}"/${PN}-3.2.2-fix-XERCESC-2163.patch )
+
+pkg_setup() {
+	export ICUROOT="${EPREFIX}/usr"
+
+	if use iconv && use icu; then
+		ewarn "This package can use iconv or icu for loading messages"
+		ewarn "and transcoding, but not both. ICU takes precedence."
+	fi
+}
+
+src_configure() {
+	# 'cfurl' is only available on OSX and 'socket' isn't supposed to work.
+	# But the docs aren't clear about it, so we would need some testing...
+	local netaccessor
+	if use curl; then
+		netaccessor="curl"
+	elif use elibc_Darwin; then
+		netaccessor="cfurl"
+	else
+		netaccessor="socket"
+	fi
+
+	local msgloader
+	if use icu; then
+		msgloader="icu"
+	elif use iconv; then
+		msgloader="iconv"
+	else
+		msgloader="inmemory"
+	fi
+
+	local transcoder
+	if use icu; then
+		transcoder="icu"
+	elif use elibc_Darwin; then
+		transcoder="macosunicodeconverter"
+	elif use elibc_FreeBSD; then
+		transcoder="iconv"
+	else
+		transcoder="gnuiconv"
+	fi
+	# for interix maybe: transcoder="windows"
+
+	local mycmakeargs=(
+		-DCMAKE_INSTALL_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
+		-Dnetwork-accessor="${netaccessor}"
+		-Dmessage-loader="${msgloader}"
+		-Dtranscoder="${transcoder}"
+		-Dthreads:BOOL="$(usex threads)"
+		-Dsse2:BOOL="$(usex cpu_flags_x86_sse2)"
+	)
+
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+
+	use doc && cmake_build doc-style createapidocs doc-xml
+}
+
+src_install() {
+	cmake_src_install
+
+	# package provides .pc files
+	find "${D}" -name '*.la' -delete || die
+
+	if use examples; then
+		# clean out object files, executables, Makefiles
+		# and the like before installing examples
+		find samples/ \( -type f -executable -o -iname 'runConfigure' -o -iname '*.o' \
+			-o -iname '.libs' -o -iname 'Makefile*' \) -exec rm -rf '{}' + || die
+		docinto examples
+		dodoc -r samples/.
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+
+	# To make sure an appropriate NLS msg file is around when using
+	# the iconv msgloader ICU has the messages compiled in.
+	if use iconv && ! use icu; then
+		doenvd "$(prefixify_ro "${FILESDIR}/50xerces-c")"
+	fi
+}


             reply	other threads:[~2021-02-15  9:48 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-15  9:47 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-24  5:17 [gentoo-commits] repo/gentoo:master commit in: dev-libs/xerces-c/ Joonas Niilola
2024-06-24  1:48 Sam James
2024-06-23 16:10 Arthur Zamarin
2024-06-23 16:10 Arthur Zamarin
2024-06-23 16:10 Arthur Zamarin
2024-06-23 16:01 Sam James
2024-06-23 15:45 Arthur Zamarin
2024-05-03 11:03 Sam James
2024-05-03 11:03 Sam James
2023-05-01  6:11 Arthur Zamarin
2023-05-01  2:26 Sam James
2023-05-01  2:26 Sam James
2023-05-01  0:23 Sam James
2023-05-01  0:23 Sam James
2023-05-01  0:09 Sam James
2023-05-01  0:09 Sam James
2023-04-02  2:56 Sam James
2022-04-26 14:38 Sam James
2022-04-12 10:56 Sam James
2022-01-03 23:26 David Seifert
2022-01-02 17:49 David Seifert
2021-08-14 23:15 Marek Szuba
2021-03-08 21:14 Andreas Sturmlechner
2021-03-08  4:49 Sam James
2021-03-07 18:45 Sergei Trofimovich
2021-03-07 14:41 Agostino Sarubbo
2021-03-06 23:10 Sam James
2021-03-06 18:37 Sam James
2021-03-06 18:37 Sam James
2021-03-06 18:36 Sam James
2021-02-15  9:03 Andreas Sturmlechner
2020-09-05 15:23 Sam James
2020-09-03 23:57 Sam James
2020-08-19  8:31 Sergei Trofimovich
2020-08-18 23:48 Sam James
2020-08-17 10:01 Agostino Sarubbo
2020-08-17  9:59 Agostino Sarubbo
2020-08-17  9:57 Agostino Sarubbo
2020-08-17  9:55 Agostino Sarubbo
2020-07-13  8:29 Lars Wendler
2020-07-13  8:29 Lars Wendler
2019-05-16 19:30 Aaron Bauman
2019-02-28 14:50 Mikle Kolyada
2019-02-24 19:20 Markus Meier
2019-02-12 21:03 Sergei Trofimovich
2019-02-09 19:29 Sergei Trofimovich
2019-02-09 18:36 Thomas Deutschmann
2019-02-08 20:35 Sergei Trofimovich
2019-02-07 12:31 Tobias Klausmann
2019-02-04 19:41 Sergei Trofimovich
2018-12-09 21:31 Craig Andrews
2018-12-07 19:48 Craig Andrews
2018-12-06 20:38 Craig Andrews
2018-06-15  1:41 Benda XU
2017-07-20 20:57 Sergei Trofimovich
2017-07-07 19:41 Alexis Ballier
2017-02-27 18:55 Michael Weber
2017-02-09 12:56 Guilherme Amadio
2016-12-21  8:08 David Seifert
2016-10-17  4:52 Jeroen Roovers
2016-10-16 11:16 Tobias Klausmann
2016-10-15 12:48 Agostino Sarubbo
2016-10-15 12:47 Agostino Sarubbo
2016-02-28 12:08 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1613382461.ef1bd5623b3f1112f25615745553c9ed5827fb44.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox